<?php

namespace Drupal\splio\Services;

use Drupal\Core\Entity\EntityInterface;

/**
 * Entity helper to get dynamic "original" property, while running tests.
 */
class EntityHelper implements EntityHelperInterface {

  /**
   * Returns original entity before saving.
   *
   * @param \Drupal\Core\Entity\EntityInterface $entity
   *   Entity to handle.
   *
   * @return mixed|null
   *   Returns EntityInterface or NULL.
   */
  public function getOriginal(EntityInterface $entity) {

    return $entity->original ?? NULL;
  }

}
