<?php

namespace Drupal\splio\Services;

interface SplioConnectorInterface {

  public function ping(array $options = NULL): bool;

  public function getContactsLists(): array;

  public function getEntityTypeFieldsFromSplio(string $entityType): array;

  public function createEntities(array $entities, int $concurrency = 10): array;

  public function readEntities(array $entities, int $concurrency = 10): array;

  public function updateEntities(array $entities, int $concurrency = 10): array;

  public function deleteEntities(array $entities, $concurrency = 10);

  public function addEmailsToBlacklist(array $emails): array;

  public function isEmailBlacklisted(string $email): bool;

}
